Home
Home
  1. Documents
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
      • Get submission
      • Update submission
      • Update submission status
      • Run business verification
      • Get submission checks
      • Delete submission
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
        GET
      • Upload document for submission
        POST
      • Get document
        GET
      • Delete document
        DELETE
      • Download document file
        GET
      • Rerun validations
        PUT
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Documents

Get document

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/submissions/{submission_id}/documents/{document_id}
Fetch extracted information for a single document

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions//documents/' \
--header 'Accept-Language;' \
--header 'apiKey: <api-key>'

Responses

🟢200Document found
application/json
Bodyapplication/json

Example
{
    "id": "string",
    "status": "pending",
    "validation_status": "incomplete",
    "type": "mx_acta_constitutiva",
    "file": {
        "name": "string",
        "byte_size": 0
    },
    "source": "user",
    "data": {},
    "validation_errors": [
        {
            "type": "warn",
            "error": "illegible",
            "error_message": "Document is blank",
            "display_message": "Document is not the correct type. Please upload the correct document."
        }
    ],
    "uploaded_at": "2019-08-24T14:15:22.123Z",
    "external_id": "string",
    "document_name": "string"
}
🟠404Not Found
Previous
Upload document for submission
Next
Delete document